%global momorel 1

%global _vpath_srcdir .
%global _vpath_builddir %{_target_platform}
%global __global_cflags  %{optflags}
%global __global_cxxflags  %{__global_cflags}
%global __global_fflags  %{__global_cflags} -I%_fmoddir
%global __global_fcflags %{__global_cflags} -I%_fmoddir
%global __global_ldflags -Wl,-z,relro

%global pkgdir %{_prefix}/lib/systemd
%global udev_scriptdir /usr/lib/udev
%global firmwaredir /usr/lib/firmware
%global systemdsystemunitdir /usr/lib/systemd/system

%global udev_services systemd-udev{d,-settle,-trigger}.service systemd-udevd-{control,kernel}.socket systemd-timesyncd.service

Name:           systemd
Url:            http://www.freedesktop.org/wiki/Software/systemd
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Version:        239
Release:        %{momorel}m%{?dist}
License:        GPLv2+
Group:          System Environment/Base
Summary:        A System and Service Manager
BuildRequires:  libcap-devel
BuildRequires:  pam-devel
BuildRequires:  libselinux-devel
BuildRequires:  audit-libs-devel
BuildRequires:  cryptsetup-luks-devel >= 1.6.4
BuildRequires:  libxslt
BuildRequires:  docbook-style-xsl
BuildRequires:  vala >= 0.11
BuildRequires:  libgee-devel
BuildRequires:  pkgconfig
BuildRequires:  gnutls-devel >= 3.6.2
BuildRequires:  gtk2-devel
BuildRequires:  libnotify-devel >= 0.7
BuildRequires:  libacl-devel
BuildRequires:  libgcrypt-devel >= 1.7.5
BuildRequires:  pciutils-devel
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libidn2-devel
BuildRequires:  libtool
BuildRequires:  libmount-devel >= 2.27
BuildRequires:  make
BuildRequires:  intltool >= 0.40.0
BuildRequires:  binutils
BuildRequires:  gperf
BuildRequires:  gawk
BuildRequires:  xz-devel
BuildRequires:  dbus-devel
BuildRequires:  kmod-devel
BuildRequires:  libblkid-devel
BuildRequires:  python3-devel
BuildRequires:  python3-lxml
BuildRequires:  libmicrohttpd-devel >= 0.9.52
BuildRequires:  libselinux-devel >= 2.1.9
BuildRequires:  qrencode-devel
BuildRequires:  lz4-devel >= 1.8
BuildRequires:  meson

%ifarch %{ix86} x86_64
BuildRequires:  gnu-efi gnu-efi-devel
%endif
%ifarch %{arm} aarch64 %{ix86} x86_64
BuildRequires:  libseccomp-devel
%endif

Requires(post): authconfig
Requires:       dbus >= 1.4.8
Requires:       initscripts >= 9.59
Requires:       filesystem >= 2.4.40
Conflicts:      selinux-policy < 3.9.16
Conflicts:      bash-completion < 2.1
Requires:       kernel >= 2.6.39
Requires:	libselinux >= 2.1.9
Requires:       diffutils
Requires:       util-linux
#Source0:        http://www.freedesktop.org/software/systemd/%{name}-%{version}.tar.xz
Source0:        https://github.com/systemd/systemd/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
NoSource:	0
# This file must be available before %prep.
# It is generated during systemd build and can be found in src/core/.
Source1:        triggers.systemd
Source2:        split-files.py
Source3:        purge-nobody-user

# Prevent accidental removal of the systemd package
Source4:        yum-protect-systemd.conf

Source5:        inittab
Source6:        sysctl.conf.README
Source7:        systemd-journal-remote.xml
Source8:        systemd-journal-gatewayd.xml
Source9:        20-yama-ptrace.conf
Source10:       systemd-udev-trigger-no-reload.conf
Source11:       20-grubby.install
Source12:       https://raw.githubusercontent.com/systemd/systemd/1000522a60ceade446773c67031b47a566d4a70d/src/login/systemd-user.m4

Patch0998:      0998-resolved-create-etc-resolv.conf-symlink-at-runtime.patch

# kernel-install patch for grubby, drop if grubby is obsolete
Patch1000:      kernel-install-grubby.patch

# Momonga env patch
Patch10000:     systemd-210-momonga.patch

#Fix linux/fs.h and sys/mount.h collisions
Patch1001:	systemd-238-fix_fs-mount_collisions.patch

Provides:       systemd-units = %{version}
Obsoletes:      systemd-units < 45
Provides:       systemd-sysv = 210
Obsoletes:      systemd-sysv < 210
Provides:       udev = %{version}
Obsoletes:      udev < 183
Conflicts:      dracut < 019
Conflicts:      plymouth < 0.8.5.1

# For sysvinit tools
Obsoletes:      SysVinit < 2.86-2m, sysvinit < 2.86-2m
Provides:       SysVinit = 2.86-2m, sysvinit = 2.86-2m
Provides:       sysvinit-userspace
Provides:       systemd-sysvinit
Obsoletes:      systemd-sysvinit
Obsoletes:      upstart < 1.2
Obsoletes:      upstart-sysvinit < 1.2
Conflicts:      upstart-sysvinit
Obsoletes:      readahead < 1.5.7-3m
Provides:       readahead = 1.5.7-3m
Obsoletes:      system-setup-keyboard < 0.9
Provides:       system-setup-keyboard = 0.9
Obsoletes:      nss-myhostname < 0.4
Provides:       nss-myhostname = 0.4
Provides:       syslog

Obsoletes:      systemd-gtk

Conflicts:      plymouth < 0.8.5.1-1m

Obsoletes:      systemd-analyze < 205
Provides:       systemd-analyze = 205

%description
systemd is a system and service manager for Linux, compatible with
SysV and LSB init scripts. systemd provides aggressive parallelization
capabilities, uses socket and D-Bus activation for starting services,
offers on-demand starting of daemons, keeps track of processes using
Linux cgroups, supports snapshotting and restoring of the system
state, maintains mount and automount points and implements an
elaborate transactional dependency-based service control logic. It can
work as a drop-in replacement for sysvinit.

%package libs
Group:          System Environment/Base
Summary:        systemd libraries
License:        LGPLv2+ and MIT
Obsoletes:      libudev < 183 
Obsoletes:      systemd < 185
Conflicts:      systemd < 185

%description libs
Libraries for systemd and udev. systemd PAM module.

%package devel
Group:          System Environment/Base
Summary:        Development headers for systemd
License:        LGPLv2+ and MIT
Requires:       %{name} = %{version}-%{release}
Provides:       libudev-devel = %{version}
Obsoletes:      libudev-devel < 183
Obsoletes:      systemd-compat-libs < 230

%description devel
Development headers and auxiliary files for developing applications linking
to libudev or libsystemd.

%package journal-gateway
Summary:        Gateway for serving journal events over the network using HTTP
Requires:       %{name} = %{version}-%{release}
License:        LGPLv2+
Requires(pre):    /usr/bin/getent
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
Obsoletes:      systemd < 204-4m

%description journal-gateway
systemd-journal-gatewayd serves journal events over the network using HTTP.

%package tests
Summary:       Internal unit tests for systemd
Requires:      %{name}%{?_isa} = %{version}-%{release}
License:       LGPLv2+

%description tests
"Installed tests" that are usually run as part of the build system.
They can be useful to test systemd internals.

%prep
%setup -q

%patch0998 -p1 

# kernel-install patch for grubby, drop if grubby is obsolete
%patch1000 -p1 -b .grubby

%patch1001 -p1 -b .collisions

#%%patch10000 -p1 -b .momonga

cp -p %{SOURCE12} src/login/

%build

export LANG=en_US.utf8
export LC_ALL=en_US.utf8

# for ninja-build
ln -s %{_bindir}/ninja-build ninja
export PATH=%{_builddir}/%{name}-%{version}:$PATH

CONFIGURE_OPTS=(
        -Dsysvinit-path=/etc/init.d
        -Drc-local=/etc/rc.local
        -Dntp-servers='ntp.nict.jp'
        -Ddev-kvm-mode=0666
        -Dkmod=true
        -Dxkbcommon=true
        -Dblkid=true
        -Dseccomp=true
        -Dima=true
        -Dselinux=true
        -Dapparmor=false
        -Dpolkit=true
        -Dxz=true
        -Dzlib=true
        -Dbzip2=true
        -Dlz4=true
        -Dpam=true
        -Dacl=true
        -Dsmack=true
        -Dgcrypt=true
        -Daudit=true
        -Delfutils=true
        -Dlibcryptsetup=true
        -Delfutils=true
        -Dqrencode=true
        -Dgnutls=true
        -Dmicrohttpd=true
        -Dlibidn2=true
        -Dlibiptc=true
        -Dlibcurl=true
        -Defi=true
        -Dgnu-efi=true
        -Dtpm=true
        -Dhwdb=true
        -Dsysusers=true
        -Ddefault-kill-user-processes=false
        -Dtests=unsafe
        -Dinstall-tests=true
        -Dtty-gid=5
        -Dusers-gid=100
        -Dnobody-user=nobody
        -Dnobody-group=nobody
        -Dsplit-usr=false
        -Dsplit-bin=true
        -Db_lto=false
)

%meson "${CONFIGURE_OPTS[@]}"
%meson_build

%install
rm -rf %{buildroot}

%{meson_install}

find %{buildroot} \( -name '*.a' -o -name '*.la' \) -delete

# remove .so file for the shared library, it's not supposed to be used
#rm %{buildroot}%{pkgdir}/libsystemd-shared.so

# udev links
mkdir -p %{buildroot}/%{_sbindir}
ln -sf ../bin/udevadm %{buildroot}%{_sbindir}/udevadm

# Compatiblity and documentation files
touch %{buildroot}/etc/crypttab
chmod 600 %{buildroot}/etc/crypttab

install -Dm0644 %{SOURCE5} %{buildroot}/etc/

install -Dm0644 %{SOURCE6} %{buildroot}/etc/sysctl.conf
ln -s ../sysctl.conf %{buildroot}/etc/sysctl.d/99-sysctl.conf

# We create all wants links manually at installation time to make sure
# they are not owned and hence overriden by rpm after the user deleted
# them.
rm -r %{buildroot}%{_sysconfdir}/systemd/system/*.target.wants

# Make sure these directories are properly owned
mkdir -p %{buildroot}%{system_unit_dir}/basic.target.wants
mkdir -p %{buildroot}%{system_unit_dir}/default.target.wants
mkdir -p %{buildroot}%{system_unit_dir}/dbus.target.wants
mkdir -p %{buildroot}%{system_unit_dir}/syslog.target.wants
mkdir -p %{buildroot}%{_localstatedir}/run
mkdir -p %{buildroot}%{_localstatedir}/log
touch %{buildroot}%{_localstatedir}/run/utmp
touch %{buildroot}%{_localstatedir}/log/{w,b}tmp

# Make sure the user generators dir exists too
mkdir -p %{buildroot}%{pkgdir}/system-generators
mkdir -p %{buildroot}%{pkgdir}/user-generators

# Create new-style configuration files so that we can ghost-own them
touch %{buildroot}%{_sysconfdir}/hostname
touch %{buildroot}%{_sysconfdir}/vconsole.conf
touch %{buildroot}%{_sysconfdir}/locale.conf
touch %{buildroot}%{_sysconfdir}/machine-id
touch %{buildroot}%{_sysconfdir}/machine-info
touch %{buildroot}%{_sysconfdir}/localtime
mkdir -p %{buildroot}%{_sysconfdir}/X11/xorg.conf.d
touch %{buildroot}%{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf

# Make sure the shutdown/sleep drop-in dirs exist
mkdir -p %{buildroot}%{pkgdir}/system-shutdown/
mkdir -p %{buildroot}%{pkgdir}/system-sleep/

# Make sure directories in /var exist
mkdir -p %{buildroot}%{_localstatedir}/lib/systemd/coredump
mkdir -p %{buildroot}%{_localstatedir}/lib/systemd/catalog
mkdir -p %{buildroot}%{_localstatedir}/lib/systemd/backlight
mkdir -p %{buildroot}%{_localstatedir}/lib/systemd/rfkill
mkdir -p %{buildroot}%{_localstatedir}/lib/systemd/linger
mkdir -p %{buildroot}%{_localstatedir}/lib/private
mkdir -p %{buildroot}%{_localstatedir}/log/private
mkdir -p %{buildroot}%{_localstatedir}/cache/private
mkdir -p %{buildroot}%{_localstatedir}/lib/private/systemd/journal-upload
mkdir -p %{buildroot}%{_localstatedir}/lib/private/systemd/timesync
ln -s ../private/systemd/journal-upload %{buildroot}%{_localstatedir}/lib/systemd/journal-upload
ln -s ../private/systemd/timesync %{buildroot}%{_localstatedir}/lib/systemd/timesync
mkdir -p %{buildroot}%{_localstatedir}/log/journal
touch %{buildroot}%{_localstatedir}/lib/systemd/catalog/database
touch %{buildroot}%{_sysconfdir}/udev/hwdb.bin
touch %{buildroot}%{_localstatedir}/lib/systemd/random-seed
touch %{buildroot}%{_localstatedir}/lib/private/systemd/timesync/clock
touch %{buildroot}%{_localstatedir}/lib/private/systemd/journal-upload/state

# Install yum protection fragment
install -Dm0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/yum/protected.d/systemd.conf

install -Dm0644 -t %{buildroot}/usr/lib/firewalld/services/ %{SOURCE7} %{SOURCE8}

# Install additional docs
# https://bugzilla.redhat.com/show_bug.cgi?id=1234951
install -Dm0644 -t %{buildroot}%{_pkgdocdir}/ %{SOURCE9}

# https://bugzilla.redhat.com/show_bug.cgi?id=1378974
install -Dm0644 -t %{buildroot}%{_unitdir}/systemd-udev-trigger.service.d/ %{SOURCE10}

install -Dm0755 -t %{buildroot}%{_prefix}/lib/kernel/install.d/ %{SOURCE11}

mkdir -p %{buildroot}/etc/polkit-1/localauthority/10-vendor.d

install -D -t %{buildroot}/usr/lib/systemd/ %{SOURCE3}

%find_lang %{name}

%clean
rm -rf %{buildroot}

#%%check
#export LANG=en_US.utf8
#export LC_ALL=en_US.utf8
#%%{meson_test}

#############################################################################################

#%%include %{SOURCE1}


%pre
getent group cdrom &>/dev/null || groupadd -r -g 11 cdrom &>/dev/null || :
getent group utmp &>/dev/null || groupadd -r -g 22 utmp &>/dev/null || :
getent group tape &>/dev/null || groupadd -r -g 33 tape &>/dev/null || :
getent group dialout &>/dev/null || groupadd -r -g 18 dialout &>/dev/null || :
getent group input &>/dev/null || groupadd -r input &>/dev/null || :
getent group kvm &>/dev/null || groupadd -r -g 36 kvm &>/dev/null || :
getent group render &>/dev/null || groupadd -r render &>/dev/null || :
getent group systemd-journal &>/dev/null || groupadd -r -g 190 systemd-journal 2>&1 || :

getent group systemd-coredump &>/dev/null || groupadd -r systemd-coredump 2>&1 || :
getent passwd systemd-coredump &>/dev/null || useradd -r -l -g systemd-coredump -d / -s /sbin/nologin -c "systemd Core Dumper" systemd-coredump &>/dev/null || :

getent group systemd-network &>/dev/null || groupadd -r -g 192 systemd-network 2>&1 || :
getent passwd systemd-network &>/dev/null || useradd -r -u 192 -l -g systemd-network -d / -s /sbin/nologin -c "systemd Network Management" systemd-network &>/dev/null || :

getent group systemd-resolve &>/dev/null || groupadd -r -g 193 systemd-resolve 2>&1 || :
getent passwd systemd-resolve &>/dev/null || useradd -r -u 193 -l -g systemd-resolve -d / -s /sbin/nologin -c "systemd Resolver" systemd-resolve &>/dev/null || :

%post
systemd-machine-id-setup &>/dev/null || :
systemctl daemon-reexec &>/dev/null || :
journalctl --update-catalog &>/dev/null || :
systemd-tmpfiles --create &>/dev/null || :

if [ $1 -eq 1 ] ; then
     # create /var/log/journal only on initial installation
     mkdir -p %{_localstatedir}/log/journal
fi

# Make sure new journal files will be owned by the "systemd-journal" group
chgrp systemd-journal /run/log/journal/ /run/log/journal/`cat /etc/machine-id 2>/dev/null` /var/log/journal/ /var/log/journal/`cat /etc/machine-id 2>/dev/null` &>/dev/null || :
chmod g+s /run/log/journal/ /run/log/journal/`cat /etc/machine-id 2>/dev/null` /var/log/journal/ /var/log/journal/`cat /etc/machine-id 2>/dev/null` &>/dev/null || :

# Apply ACL to the journal directory
setfacl -Rnm g:wheel:rx,d:g:wheel:rx,g:adm:rx,d:g:adm:rx /var/log/journal/ &>/dev/null || :

# Stop-gap until rsyslog.rpm does this on its own. (This is supposed
# to fail when the link already exists)
ln -s /usr/lib/systemd/system/rsyslog.service /etc/systemd/system/syslog.service &>/dev/null || :

# Remove spurious /etc/fstab entries from very old installations
# https://bugzilla.redhat.com/show_bug.cgi?id=1009023
if [ -e /etc/fstab ]; then
   grep -v -E -q '^(devpts|tmpfs|sysfs|proc)' /etc/fstab || \
         sed -i.rpm.bak -r '/^devpts\s+\/dev\/pts\s+devpts\s+defaults\s+/d; /^tmpfs\s+\/dev\/shm\s+tmpfs\s+defaults\s+/d; /^sysfs\s+\/sys\s+sysfs\s+defaults\s+/d; /^proc\s+\/proc\s+proc\s+defaults\s+/d' /etc/fstab || :
fi

# Services we install by default, and which are controlled by presets.
if [ $1 -eq 1 ] ; then
        systemctl preset --quiet \
                remote-fs.target \
                getty@.service \
                serial-getty@.service \
                console-getty.service \
                debug-shell.service \
                systemd-networkd.service \
                systemd-networkd-wait-online.service \
                systemd-resolved.service \
                >/dev/null || :
fi

# remove obsolete systemd-readahead file
rm -f /.readahead &>/dev/null || :

# sed-fu to add myhostname to the hosts line of /etc/nsswitch.conf
if [ -f /etc/nsswitch.conf ] ; then
        sed -i.bak -e '
                /^hosts:/ !b
                /\<myhostname\>/ b
                s/[[:blank:]]*$/ myhostname/
                ' /etc/nsswitch.conf >/dev/null 2>&1 || :
fi

        sed -i.bak -e '
                /^passwd:/ !b
                /\<mymachines\>/ b
                s/[[:blank:]]*$/ mymachines/
                ' /etc/nsswitch.conf >/dev/null 2>&1 || :

        sed -i.bak -e '
                /^group:/ !b
                /\<mymachines\>/ b
                s/[[:blank:]]*$/ mymachines/
                ' /etc/nsswitch.conf >/dev/null 2>&1 || :

# Apply ACL to the journal directory
setfacl -Rnm g:wheel:rx,d:g:wheel:rx,g:adm:rx,d:g:adm:rx /var/log/journal/ >/dev/null 2>&1 || :

%postun
if [ $1 -ge 1 ] ; then
        systemctl daemon-reload > /dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
        systemctl disable \
                remote-fs.target \
                getty@.service \
                serial-getty@.service \
                console-getty.service \
                console-shell.service \
                debug-shell.service \
                systemd-readahead-replay.service \
                systemd-readahead-collect.service \
                systemd-networkd.service \
                systemd-networkd-wait-online.service \
                systemd-resolved.service \
                >/dev/null 2>&1 || :

        rm -f /etc/systemd/system/default.target >/dev/null 2>&1 || :

        if [ -f /etc/nsswitch.conf ] ; then
                sed -i.bak -e '
                        /^hosts:/ !b
                        s/[[:blank:]]\+myhostname\>//
                        ' /etc/nsswitch.conf >/dev/null 2>&1 || :

                sed -i.bak -e '
                        /^hosts:/ !b
                        s/[[:blank:]]\+mymachines\>//
                        ' /etc/nsswitch.conf >/dev/null 2>&1 || :
        fi

fi

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%pre journal-gateway
getent group systemd-journal-gateway >/dev/null 2>&1 || groupadd -r -g 191 systemd-journal-gateway 2>&1 || :
getent passwd systemd-journal-gateway >/dev/null 2>&1 || useradd -r -l -u 191 -g systemd-journal-gateway -d %{_localstatedir}/log/journal -s /sbin/nologin -c "Journal Gateway" systemd-journal-gateway >/dev/null 2>&1 || :
getent group systemd-journal-remote >/dev/null 2>&1 || groupadd -r systemd-journal-remote 2>&1 || :
getent passwd systemd-journal-remote >/dev/null 2>&1 || useradd -r -l -g systemd-journal-remote -d %{_localstatedir}/log/journal/remote -s /sbin/nologin -c "Journal Remote" systemd-journal-remote >/dev/null 2>&1 || :
getent group systemd-journal-upload >/dev/null 2>&1 || groupadd -r systemd-journal-upload 2>&1 || :
getent passwd systemd-journal-upload >/dev/null 2>&1 || useradd -r -l -g systemd-journal-upload -G systemd-journal -d %{_localstatedir}/log/journal/upload -s /sbin/nologin -c "Journal Upload" systemd-journal-upload >/dev/null 2>&1 || :

%post journal-gateway
%systemd_post systemd-journal-gatewayd.socket systemd-journal-gatewayd.service
%systemd_post systemd-journal-remote.socket systemd-journal-remote.service
%systemd_post systemd-journal-upload.service

%preun journal-gateway
%systemd_preun systemd-journal-gatewayd.socket systemd-journal-gatewayd.service
%systemd_preun systemd-journal-remote.socket systemd-journal-remote.service
%systemd_preun systemd-journal-upload.service

%postun journal-gateway
%systemd_postun_with_restart systemd-journal-gatewayd.service
%systemd_postun_with_restart systemd-journal-remote.service
%systemd_postun_with_restart systemd-journal-upload.service

%files -f %{name}.lang
%doc %{_docdir}/systemd
%{_pkgdocdir}/20-yama-ptrace.conf
%dir %{_sysconfdir}/systemd
%dir %{_sysconfdir}/systemd/system
%dir %{_sysconfdir}/systemd/user
%dir %{_sysconfdir}/systemd/network
%dir %{_sysconfdir}/tmpfiles.d
%dir %{_sysconfdir}/sysctl.d
%dir %{_sysconfdir}/modules-load.d
%dir %{_prefix}/lib/binfmt.d
%dir %{_prefix}/lib/environment.d
%{_prefix}/lib/environment.d/99-environment.conf
%dir %{_prefix}/lib/modprobe.d
%{_prefix}/lib/modprobe.d/systemd.conf
%dir %{_prefix}/lib/kernel
%dir %{_datadir}/systemd
%dir %{_datadir}/dbus-1/system.d
%dir %{_sysconfdir}/udev
%dir %{_sysconfdir}/udev/rules.d
%dir %{_sysconfdir}/udev/hwdb.d
%{_sysconfdir}/X11/xinit/xinitrc.d/50-systemd-user.sh
%ghost %verify(not md5 size mtime) %config(noreplace,missingok) /etc/crypttab
/etc/inittab
/usr/lib/systemd/purge-nobody-user
%config(noreplace) %{_sysconfdir}/sysctl.conf
%{_sysconfdir}/sysctl.d/99-sysctl.conf
%dir %{pkgdir}
%{pkgdir}/system-generators
%exclude %{pkgdir}/system-generators/systemd-cryptsetup-generator
%exclude %{pkgdir}/system-generators/systemd-gpt-auto-generator
%exclude %{pkgdir}/system-generators/systemd-hibernate-resume-generator
%{pkgdir}/user-generators
%{pkgdir}/user-environment-generators
%dir %{_prefix}/lib/systemd/system-shutdown
%dir %{_prefix}/lib/systemd/system-sleep
%dir %{_prefix}/lib/systemd/catalog
%dir %{_prefix}/lib/systemd/network
%dir %{_prefix}/lib/tmpfiles.d
%dir %{_prefix}/lib/sysusers.d
%dir %{_prefix}/lib/sysctl.d
%dir %{_prefix}/lib/modules-load.d
%dir %{_prefix}/lib/binfmt.d
%dir %{_prefix}/lib/kernel
%dir %{_prefix}/lib/kernel/install.d
%dir %{_datadir}/systemd
%dir %{_datadir}/pkgconfig
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%dir %{_localstatedir}/log/journal
%dir %{_localstatedir}/lib/systemd
%dir %{_localstatedir}/lib/systemd/catalog
%ghost %dir /var/lib/private/systemd/journal-upload
%ghost /var/lib/private/systemd/journal-upload/state
%ghost %dir /var/lib/private/systemd/timesync
%ghost /var/lib/private/systemd/timesync/clock
%ghost %dir /var/lib/systemd/backlight
%ghost /var/lib/systemd/catalog/database
%ghost %dir /var/lib/systemd/coredump
%ghost /var/lib/systemd/journal-upload
%ghost %dir /var/lib/systemd/linger
%ghost /var/lib/systemd/random-seed
%ghost %dir /var/lib/systemd/rfkill
%ghost /var/lib/systemd/timesync
%{_localstatedir}/log/README
%ghost %attr(0664,root,utmp) %{_localstatedir}/run/utmp
%ghost %attr(0664,root,utmp) %{_localstatedir}/log/wtmp
%ghost %attr(0600,root,utmp) %{_localstatedir}/log/btmp
%config(noreplace) %{_datadir}/dbus-1/system.d/org.freedesktop.systemd1.conf
%config(noreplace) %{_datadir}/dbus-1/system.d/org.freedesktop.hostname1.conf
%config(noreplace) %{_datadir}/dbus-1/system.d/org.freedesktop.login1.conf
%config(noreplace) %{_datadir}/dbus-1/system.d/org.freedesktop.locale1.conf
%config(noreplace) %{_datadir}/dbus-1/system.d/org.freedesktop.timedate1.conf
%config(noreplace) %{_datadir}/dbus-1/system.d/org.freedesktop.machine1.conf
%config(noreplace) %{_datadir}/dbus-1/system.d/org.freedesktop.resolve1.conf
%config(noreplace) %{_datadir}/dbus-1/system.d/org.freedesktop.import1.conf
%config(noreplace) %{_datadir}/dbus-1/system.d/org.freedesktop.network1.conf
%config(noreplace) %{_sysconfdir}/systemd/system.conf
%config(noreplace) %{_sysconfdir}/systemd/user.conf
%config(noreplace) %{_sysconfdir}/systemd/logind.conf
%config(noreplace) %{_sysconfdir}/systemd/journald.conf
%config(noreplace) %{_sysconfdir}/systemd/resolved.conf
%config(noreplace) %{_sysconfdir}/systemd/timesyncd.conf
%config(noreplace) %{_sysconfdir}/systemd/coredump.conf
%config(noreplace) %{_sysconfdir}/systemd/system/dbus-org.freedesktop.resolve1.service
%config(noreplace) %{_sysconfdir}/systemd/system/dbus-org.freedesktop.network1.service
%config(noreplace) %{_sysconfdir}/systemd/journal-remote.conf
%config(noreplace) %{_sysconfdir}/systemd/journal-upload.conf
%config(noreplace) %{_sysconfdir}/udev/udev.conf
%config(noreplace) %{_sysconfdir}/yum/protected.d/systemd.conf
%config(noreplace) %{_sysconfdir}/pam.d/systemd-user
%ghost %{_sysconfdir}/udev/hwdb.bin
%{_sysconfdir}/xdg/systemd
%{_sysconfdir}/init.d/README
%ghost %config(noreplace) %{_sysconfdir}/hostname
%ghost %config(noreplace) %{_sysconfdir}/localtime
%ghost %config(noreplace) %{_sysconfdir}/vconsole.conf
%ghost %config(noreplace) %{_sysconfdir}/locale.conf
%ghost %config(noreplace) %{_sysconfdir}/machine-id
%ghost %config(noreplace) %{_sysconfdir}/machine-info
%dir %{_sysconfdir}/X11/xorg.conf.d
%ghost %config(noreplace) %{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf
%{_bindir}/systemctl
%{_bindir}/systemd-notify
%{_bindir}/systemd-analyze
%{_bindir}/systemd-escape
%{_bindir}/systemd-ask-password
%{_bindir}/systemd-tty-ask-password-agent
%{_bindir}/systemd-machine-id-setup
%{_bindir}/systemd-mount
%{_bindir}/systemd-umount
%{_bindir}/loginctl
%{_bindir}/journalctl
%{_bindir}/machinectl
%{_bindir}/busctl
%{_bindir}/networkctl
%{_bindir}/coredumpctl
%{_bindir}/systemd-tmpfiles
%{_bindir}/systemd-nspawn
%{_bindir}/systemd-stdio-bridge
%{_bindir}/systemd-cat
%{_bindir}/systemd-cgls
%{_bindir}/systemd-cgtop
%{_bindir}/systemd-delta
%{_bindir}/systemd-run
%{_bindir}/systemd-detect-virt
%{_bindir}/systemd-inhibit
%{_bindir}/systemd-path
%{_bindir}/systemd-resolve
%{_bindir}/systemd-sysusers
%{_bindir}/systemd-firstboot
%{_bindir}/systemd-socket-activate
%{_bindir}/systemd-hwdb
%{_bindir}/hostnamectl
%{_bindir}/localectl
%{_bindir}/timedatectl
%{_bindir}/bootctl
%{_bindir}/resolvectl
%{_bindir}/udevadm
%{_bindir}/kernel-install
%{_prefix}/lib/systemd/systemd
%exclude %{_prefix}/lib/systemd/system/systemd-journal-gatewayd.*
%{_prefix}/lib/systemd/system
%{pkgdir}/libsystemd-shared-%{version}.so
%{_prefix}/lib/systemd/user
%{pkgdir}/resolv.conf
%exclude %{_prefix}/lib/systemd/systemd-journal-gatewayd
%{_prefix}/lib/systemd/systemd-*
%{_prefix}/lib/udev
%{_prefix}/lib/systemd/system-generators/systemd-cryptsetup-generator
%{_prefix}/lib/systemd/system-generators/systemd-getty-generator
%{_prefix}/lib/systemd/system-generators/systemd-rc-local-generator
%{_prefix}/lib/systemd/system-generators/systemd-fstab-generator
%{_prefix}/lib/systemd/system-generators/systemd-system-update-generator
%{_prefix}/lib/systemd/system-generators/systemd-gpt-auto-generator
%{_prefix}/lib/systemd/system-generators/systemd-sysv-generator
%{_prefix}/lib/systemd/system-generators/systemd-debug-generator
%{_prefix}/lib/systemd/system-generators/systemd-hibernate-resume-generator
%{_prefix}/lib/systemd/portable/profile/default/service.conf
%{_prefix}/lib/systemd/portable/profile/nonetwork/service.conf
%{_prefix}/lib/systemd/portable/profile/strict/service.conf
%{_prefix}/lib/systemd/portable/profile/trusted/service.conf
%{_prefix}/lib/systemd/portablectl
%{_prefix}/lib/tmpfiles.d/systemd.conf
%{_prefix}/lib/tmpfiles.d/systemd-nologin.conf
%{_prefix}/lib/tmpfiles.d/x11.conf
%{_prefix}/lib/tmpfiles.d/legacy.conf
%{_prefix}/lib/tmpfiles.d/tmp.conf
%{_prefix}/lib/tmpfiles.d/var.conf
%{_prefix}/lib/tmpfiles.d/etc.conf
%{_prefix}/lib/tmpfiles.d/home.conf
%{_prefix}/lib/tmpfiles.d/systemd-nspawn.conf
%{_prefix}/lib/tmpfiles.d/journal-nocow.conf
%{_prefix}/lib/tmpfiles.d/portables.conf
%{_prefix}/lib/sysctl.d/50-default.conf
%{_prefix}/lib/sysctl.d/50-coredump.conf
%{_prefix}/lib/sysusers.d/basic.conf
%{_prefix}/lib/sysusers.d/systemd.conf
%{_prefix}/lib/sysusers.d/systemd-remote.conf
%{_prefix}/lib/systemd/catalog/systemd.catalog
%{_prefix}/lib/kernel/install.d/50-depmod.install
%{_prefix}/lib/kernel/install.d/90-loaderentry.install
%{_prefix}/lib/systemd/import-pubring.gpg
%{_prefix}/lib/rpm/macros.d/macros.systemd
%{_prefix}/lib/kernel/install.d/
%{_sbindir}/init
%{_sbindir}/reboot
%{_sbindir}/halt
%{_sbindir}/poweroff
%{_sbindir}/shutdown
%{_sbindir}/telinit
%{_sbindir}/resolvconf
%{_sbindir}/runlevel
%{_sbindir}/udevadm
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%exclude %{_mandir}/man8/systemd-journal-gatewayd.*
%{_mandir}/man8/*
%{_datadir}/factory/etc/nsswitch.conf
%{_datadir}/factory/etc/pam.d/other
%{_datadir}/factory/etc/pam.d/system-auth
%{_datadir}/systemd/kbd-model-map
%{_datadir}/systemd/language-fallback-map
%{_datadir}/dbus-1/services/org.freedesktop.systemd1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.systemd1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.hostname1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.login1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.locale1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.timedate1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.machine1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.resolve1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.import1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.network1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.portable1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.timesync1.service
%{_datadir}/dbus-1/system.d/org.freedesktop.portable1.conf
%{_datadir}/dbus-1/system.d/org.freedesktop.timesync1.conf
%dir %{_datadir}/polkit-1
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/org.freedesktop.systemd1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.hostname1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.login1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.locale1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.timedate1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.import1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.machine1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.portable1.policy
%{_datadir}/polkit-1/rules.d/systemd-networkd.rules
#/etc/polkit-1/localauthority/10-vendor.d/systemd-networkd.pkla
%{_datadir}/pkgconfig/systemd.pc
%{_datadir}/pkgconfig/udev.pc
%{_datadir}/bash-completion/completions/*
%{_datadir}/zsh/site-functions/*
%{_prefix}/lib/systemd/catalog/systemd.*.catalog
%{_prefix}/lib/systemd/network/99-default.link
%{_prefix}/lib/systemd/network/80-container-host0.network
%{_prefix}/lib/systemd/network/80-container-ve.network
%{_prefix}/lib/systemd/network/80-container-vz.network
%ifarch %{ix86} x86_64
%dir %{pkgdir}/boot
%dir %{pkgdir}/boot/efi
%{pkgdir}/boot/efi/*.efi
%{pkgdir}/boot/efi/*.stub
%endif
%{_prefix}/lib/systemd/system-preset/90-systemd.preset
%{_prefix}/lib/systemd/user-preset/90-systemd.preset
%{_datadir}/polkit-1/actions/org.freedesktop.resolve1.policy
%ghost %dir %attr(0755,-,-) /etc/systemd/system/basic.target.wants
%ghost %dir %attr(0755,-,-) /etc/systemd/system/bluetooth.target.wants
%ghost %dir %attr(0755,-,-) /etc/systemd/system/default.target.wants
%ghost %dir %attr(0755,-,-) /etc/systemd/system/getty.target.wants
%ghost %dir %attr(0755,-,-) /etc/systemd/system/graphical.target.wants
%ghost %dir %attr(0755,-,-) /etc/systemd/system/local-fs.target.wants
%ghost %dir %attr(0755,-,-) /etc/systemd/system/machines.target.wants
%ghost %dir %attr(0755,-,-) /etc/systemd/system/multi-user.target.wants
%ghost %dir %attr(0755,-,-) /etc/systemd/system/network-online.target.wants
%ghost %dir %attr(0755,-,-) /etc/systemd/system/printer.target.wants
%ghost %dir %attr(0755,-,-) /etc/systemd/system/remote-fs.target.wants
%ghost %dir %attr(0755,-,-) /etc/systemd/system/sockets.target.wants
%ghost %dir %attr(0755,-,-) /etc/systemd/system/sysinit.target.wants
%ghost %dir %attr(0755,-,-) /etc/systemd/system/system-update.target.wants
%ghost %dir %attr(0755,-,-) /etc/systemd/system/timers.target.wants
%ghost %dir %attr(0755,-,-) /var/lib/rpm-state/systemd

# Make sure we don't remove runlevel targets from F14 alpha installs,
# but make sure we don't create then anew.
#%%ghost %config(noreplace) %{_sysconfdir}/systemd/system/runlevel2.target
#%%ghost %config(noreplace) %{_sysconfdir}/systemd/system/runlevel3.target
#%%ghost %config(noreplace) %{_sysconfdir}/systemd/system/runlevel4.target
#%%ghost %config(noreplace) %{_sysconfdir}/systemd/system/runlevel5.target

%files libs
%{_libdir}/security/pam_systemd.so
%{_libdir}/libnss_myhostname.so.2
%{_libdir}/libnss_mymachines.so.2
%{_libdir}/libnss_resolve.so.2
%{_libdir}/libnss_systemd.so.2
%{_libdir}/libudev.so.*
%{_libdir}/libsystemd.so.*

%files devel
%dir %{_includedir}/systemd
%{_libdir}/libudev.so
%{_libdir}/libsystemd.so
%{_includedir}/systemd/sd-daemon.h
%{_includedir}/systemd/sd-login.h
%{_includedir}/systemd/sd-journal.h
%{_includedir}/systemd/sd-id128.h
%{_includedir}/systemd/sd-messages.h
%{_includedir}/systemd/sd-bus-protocol.h
%{_includedir}/systemd/sd-bus-vtable.h
%{_includedir}/systemd/sd-bus.h
%{_includedir}/systemd/sd-event.h
%{_includedir}/systemd/_sd-common.h
%{_includedir}/libudev.h
%{_libdir}/pkgconfig/libudev.pc
%{_libdir}/pkgconfig/libsystemd.pc
%{_mandir}/man3/*

%files journal-gateway
%{_prefix}/lib/systemd/system/systemd-journal-gatewayd.*
%{_prefix}/lib/systemd/systemd-journal-gatewayd
%{_mandir}/man8/systemd-journal-gatewayd.*
%{_datadir}/systemd/gatewayd
/usr/lib/firewalld/services/*

%files tests
%{pkgdir}/tests

%changelog
* Mon Jun 25 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (239-1m)
- update 239

* Mon Jun 18 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (238-3m)
- import fedora patches

* Mon Jun 18 2018 Masanobu Sato <satoshiga@momonga-linux.org>
- (238-2m)
- add patch to build for recent kernel

* Tue Mar 06 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (238-1m)
- update 238

* Tue Feb 20 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (237-2m)
- add systemd-stable patch
-- https://github.com/systemd/systemd-stable/tree/v237-stable

* Mon Jan 29 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (237-1m)
- update 237

* Fri Dec 15 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (236-1m)
- update 236

* Thu Oct 19 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (235-2m)
- fixed an issue that cant be built ninja(IRC client) is installed

* Wed Oct 18 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (235-1m)
- update 235
-- build used meson

* Thu Jun 29 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (233-2m)
- import fedora patches
- [SECURITY] CVE-2017-9445

* Sun Apr 02 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (233-1m)
- update 233

* Sat Feb 25 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (231-6m)
- add fedora patch

* Wed Feb 01 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (231-5m)
- libgcrypt-1.7.5

* Tue Oct 11 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (231-4m)
- import fedora patches

* Tue Oct 04 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (231-3m)
- import fedora patches

* Thu Sep 21 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (231-2m)
- import fedora patches

* Wed Sep 20 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (231-1m)
- update 231

* Tue Mar 29 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (229-2m)
- import fedora patches

* Fri Feb 12 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (229-1m)
- update 229

* Mon Jan 25 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (228-1m)
- update 228

* Mon Oct 19 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (227-1m)
- update 227

* Tue Sep 29 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (226-1m)
- update 226

* Sun Jun 28 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (221-1m)
- update 221

* Mon Apr  6 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (219-2m)
- add v219-stable patch

* Wed Feb 25 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (219-1m)
- update 219

* Thu Dec 11 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (218-1m)
- update 218

* Fri Oct 31 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (217-1m)
- update 217

* Sun Sep 21 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (216-2m)
- import fedora patches
-- fix broken pungi

* Sun Aug 24 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (216-1m)
- update 216

* Sun Jul 06 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (215-1m)
- update 215

* Fri Jun 13 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (214-1m)
- update 214

* Tue Apr  8 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (212-2m)
- fix build failure; add BuildRequires for python-lxml and python3-lxml

* Wed Mar 26 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (212-1m)
- update 212

* Wed Mar 12 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (211-1m)
- update 211
 
* Wed Mar 12 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (210-1m)
- update 210

* Sat Mar 01 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (208-10m)
- support UserMove Env

* Tue Jan 21 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (208-9m)
- import fedora patch

* Thu Dec 26 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (208-8m)
- change service file.
- maybe fix unboot issue

* Wed Dec 18 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (208-7m)
- change udevadm path. broken dracut convertfs...

* Fri Dec 06 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (208-6m)
- add fedora patches

* Mon Nov 25 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (208-5m)
- add fedora patches

* Sat Nov 02 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (208-4m)
- add fedora patches

* Wed Oct 16 2013 Ichiro Nakai <ichiro@n.email.ne.jp>
- (208-3m)
- install Source4: listen.conf
- update Source1: 90-default.preset and Source5: 85-display-manager.preset

* Tue Oct 15 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (208-2m)
- add systemd-journal group

* Wed Oct 02 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (208-1m)
- update to 208

* Tue Sep 17 2013 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (207-2m)
- add Patch6000: systemd-207-mountswap.patch to have swap mounted

* Sat Sep 14 2013 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (207-1m)
- update to 207

* Tue Jul 23 2013 Yohsuke Ooi <meke@momonga-linux.org> 
- (206-1m)
- update 206

* Mon Jul 22 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (205-4m)
- Obsoletes: readahead again

* Sun Jul 21 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (205-3m)
- fix %%pre for systemd-journal-gateway

* Fri Jul 19 2013 Yohsuke Ooi <meke@momonga-linux.org> 
- (205-2m)
- create /etc/rpm/macros.systemd

* Thu Jul 18 2013 Yohsuke Ooi <meke@momonga-linux.org> 
- (205-1m)
- update 205

* Sun Jun  2 2013 Ichiro Nakai <ichiro@n.email.ne.jp>
- (204-3m)
- enable loading firmware
- systemd-20x is working perfectly now

* Fri May 31 2013 Ichiro Nakai <ichiro@n.email.ne.jp>
- (204-2m)
- hack for system boot

* Mon May 20 2013 Yohsuke Ooi <meke@momonga-linux.org> 
- (204-1m)
- update to 204

* Mon May 13 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (203-2m)
- fix rc.local path

* Wed May  8 2013 Yohsuke Ooi <meke@momonga-linux.org> 
- (203-1m)
- update to 203

* Tue Mar 12 2013 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (197-3m)
- add Requires: libselinux >= 2.1.9

* Sat Mar  2 2013 Shigeru Yamazaki <muradaikan@momongalinux.org>
- (197-2m)
- rebuild against libselinux-2.1.13-1m

* Sat Mar  2 2013 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (197-1m)
- update to 197

* Fri Nov  9 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (195-1m)
- update 195

* Sun Nov  4 2012 Ichiro Nakai <ichiro@n.email.ne.jp>
- (194-2m)
- fix build

* Wed Oct 17 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (194-1m)
- update 194

* Fri Sep  7 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (189-1m)
- update 189

* Sun Aug 12 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (188-4m)
- fix BTS #469; display-manager.service is now managed by alternatives

* Sat Aug 11 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (188-3m)
- merge some changes from fedora
-- update /lib/systemd/system-preset/99-default.preset
-- ship symlink %%{_unitdir}/display-manager.service

* Sat Aug 11 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (188-2m)
- fix %%{_sysconfdir}/rpm/macros.systemd

* Sat Aug 11 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (188-1m)
- update 188

* Sun Aug  5 2012 Ichiro Nakai <ichiro@n.email.ne.jp>
- (187-2m)
- fix %%files to avoid conflicting

* Thu Aug  2 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (187-1m)
- update 187

* Fri Jun 22 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (185-1m)
- update 185
-- merge and Obso udev module

* Sun Jun 10 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (44-5m)
- rebuild against cryptsetup-luks-1.4.3

* Sun Jun 10 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (44-4m)
- remove plymouth scripts. plymouth has systemd scripts
-- conflict plymouth < 0.8.5.1-1m

* Sun Apr 29 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (44-3m)
- import fedora patch
-- [SECURITY] CVE-2012-1174

* Mon Apr  9 2012 NaRITA Koichi <pulsar@momonga-linux.org>
- (44-2m)
- do not own /etc/os-release

* Mon Mar 19 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (44-1m)
- update 44

* Mon Mar  5 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (40-2m)
- import fedora patches

* Sun Feb 12 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (40-1m)
- update 40

* Sat Jan 21 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (38-1m)
- update 38
- add journal mode 

* Sun Oct 30 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (37-2m)
- add upstream patch

* Fri Oct 14 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (37-1m)
- update 37

* Sun Oct  2 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (36-2m)
- add patch

* Sat Sep 24 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (36-1m)
- update 36

* Sat Sep 17 2011 Ichiro Nakai <ichiro@n.email.ne.jp>
- (35-4m)
- modify %%files to avoid conflicting

* Wed Sep 14 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (35-3m)
- force create directory
-- /sys/fs/cgroup/systemd need systemd. but not created...

* Thu Sep  8 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (35-2m)
- update post script

* Tue Sep  6 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (35-1m)
- update 35

* Fri Aug 26 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (34-1m)
- update 34

* Fri Aug 19 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (33-1m)
- re-update 33

* Sun Aug 14 2011 Ichiro Nakai <ichiro@n.email.ne.jp>
- (30-6m)
- release a directory %%{_sysconfdir}/bash_completion.d, it's provided by bash-completion

* Sun Jul 31 2011 Ichiro Nakai <ichiro@n.email.ne.jp>
- (30-5m)
- revert to version 30
- version 32 can not reboot and halt the system

* Fri Jul 29 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (32-1m)
- update 32

* Thu Jul 21 2011 Ichiro Nakai <ichiro@n.email.ne.jp>
- (30-4m)
- fix up rc-local.service for adapting to LSB rule

* Fri Jul 15 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (30-3m)
- fix conflict files

* Thu Jul 14 2011 Ichiro Nakai <ichiro@n.email.ne.jp>
- (30-2m)
- explicitly BuildRequires: libudev-devel >= 172

* Thu Jul 14 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (30-1m)
- update 30

* Sat Jul  9 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (29-1m)
- Initial Commit Momonga Linux

* Thu Jun 16 2011 Lennart Poettering <lpoetter@redhat.com> - 29-1
- New upstream release

* Mon Jun 13 2011 Michal Schmidt <mschmidt@redhat.com> - 28-4
- Apply patches from current upstream.
- Fixes memory size detection on 32-bit with >4GB RAM (BZ712341)

* Wed Jun 08 2011 Michal Schmidt <mschmidt@redhat.com> - 28-3
- Apply patches from current upstream
- https://bugzilla.redhat.com/show_bug.cgi?id=709909
- https://bugzilla.redhat.com/show_bug.cgi?id=710839
- https://bugzilla.redhat.com/show_bug.cgi?id=711015

* Sat May 28 2011 Lennart Poettering <lpoetter@redhat.com> - 28-2
- Pull in nss-myhostname

* Thu May 26 2011 Lennart Poettering <lpoetter@redhat.com> - 28-1
- New upstream release

* Wed May 25 2011 Lennart Poettering <lpoetter@redhat.com> - 26-2
- Bugfix release
- https://bugzilla.redhat.com/show_bug.cgi?id=707507
- https://bugzilla.redhat.com/show_bug.cgi?id=707483
- https://bugzilla.redhat.com/show_bug.cgi?id=705427
- https://bugzilla.redhat.com/show_bug.cgi?id=707577

* Sat Apr 30 2011 Lennart Poettering <lpoetter@redhat.com> - 26-1
- New upstream release
- https://bugzilla.redhat.com/show_bug.cgi?id=699394
- https://bugzilla.redhat.com/show_bug.cgi?id=698198
- https://bugzilla.redhat.com/show_bug.cgi?id=698674
- https://bugzilla.redhat.com/show_bug.cgi?id=699114
- https://bugzilla.redhat.com/show_bug.cgi?id=699128

* Thu Apr 21 2011 Lennart Poettering <lpoetter@redhat.com> - 25-1
- New upstream release
- https://bugzilla.redhat.com/show_bug.cgi?id=694788
- https://bugzilla.redhat.com/show_bug.cgi?id=694321
- https://bugzilla.redhat.com/show_bug.cgi?id=690253
- https://bugzilla.redhat.com/show_bug.cgi?id=688661
- https://bugzilla.redhat.com/show_bug.cgi?id=682662
- https://bugzilla.redhat.com/show_bug.cgi?id=678555
- https://bugzilla.redhat.com/show_bug.cgi?id=628004

* Wed Apr  6 2011 Lennart Poettering <lpoetter@redhat.com> - 24-1
- New upstream release
- https://bugzilla.redhat.com/show_bug.cgi?id=694079
- https://bugzilla.redhat.com/show_bug.cgi?id=693289
- https://bugzilla.redhat.com/show_bug.cgi?id=693274
- https://bugzilla.redhat.com/show_bug.cgi?id=693161

* Tue Apr  5 2011 Lennart Poettering <lpoetter@redhat.com> - 23-1
- New upstream release
- Include systemd-sysv-convert

* Fri Apr  1 2011 Lennart Poettering <lpoetter@redhat.com> - 22-1
- New upstream release

* Wed Mar 30 2011 Lennart Poettering <lpoetter@redhat.com> - 21-2
- The quota services are now pulled in by mount points, hence no need to enable them explicitly

* Tue Mar 29 2011 Lennart Poettering <lpoetter@redhat.com> - 21-1
- New upstream release

* Mon Mar 28 2011 Matthias Clasen <mclasen@redhat.com> - 20-2
- Apply upstream patch to not send untranslated messages to plymouth

* Tue Mar  8 2011 Lennart Poettering <lpoetter@redhat.com> - 20-1
- New upstream release

* Tue Mar  1 2011 Lennart Poettering <lpoetter@redhat.com> - 19-1
- New upstream release

* Wed Feb 16 2011 Lennart Poettering <lpoetter@redhat.com> - 18-1
- New upstream release

* Mon Feb 14 2011 Bill Nottingham <notting@redhat.com> - 17-6
- bump upstart obsoletes (#676815)

* Wed Feb  9 2011 Tom Callaway <spot@fedoraproject.org> - 17-5
- add macros.systemd file for %%{_unitdir}

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  9 2011 Lennart Poettering <lpoetter@redhat.com> - 17-3
- Fix popen() of systemctl, #674916

* Mon Feb  7 2011 Bill Nottingham <notting@redhat.com> - 17-2
- add epoch to readahead obsolete

* Sat Jan 22 2011 Lennart Poettering <lpoetter@redhat.com> - 17-1
- New upstream release

* Tue Jan 18 2011 Lennart Poettering <lpoetter@redhat.com> - 16-2
- Drop console.conf again, since it is not shipped in pamtmp.conf

* Sat Jan  8 2011 Lennart Poettering <lpoetter@redhat.com> - 16-1
- New upstream release

* Thu Nov 25 2010 Lennart Poettering <lpoetter@redhat.com> - 15-1
- New upstream release

* Thu Nov 25 2010 Lennart Poettering <lpoetter@redhat.com> - 14-1
- Upstream update
- Enable hwclock-load by default
- Obsolete readahead
- Enable /var/run and /var/lock on tmpfs

* Fri Nov 19 2010 Lennart Poettering <lpoetter@redhat.com> - 13-1
- new upstream release

* Wed Nov 17 2010 Bill Nottingham <notting@redhat.com> 12-3
- Fix clash

* Wed Nov 17 2010 Lennart Poettering <lpoetter@redhat.com> - 12-2
- Don't clash with initscripts for now, so that we don't break the builders

* Wed Nov 17 2010 Lennart Poettering <lpoetter@redhat.com> - 12-1
- New upstream release

* Fri Nov 12 2010 Matthias Clasen <mclasen@redhat.com> - 11-2
- Rebuild with newer vala, libnotify

* Thu Oct  7 2010 Lennart Poettering <lpoetter@redhat.com> - 11-1
- New upstream release

* Wed Sep 29 2010 Jesse Keating <jkeating@redhat.com> - 10-6
- Rebuilt for gcc bug 634757

* Thu Sep 23 2010 Bill Nottingham <notting@redhat.com> - 10-5
- merge -sysvinit into main package

* Mon Sep 20 2010 Bill Nottingham <notting@redhat.com> - 10-4
- obsolete upstart-sysvinit too

* Fri Sep 17 2010 Bill Nottingham <notting@redhat.com> - 10-3
- Drop upstart requires

* Tue Sep 14 2010 Lennart Poettering <lpoetter@redhat.com> - 10-2
- Enable audit
- https://bugzilla.redhat.com/show_bug.cgi?id=633771

* Tue Sep 14 2010 Lennart Poettering <lpoetter@redhat.com> - 10-1
- New upstream release
- https://bugzilla.redhat.com/show_bug.cgi?id=630401
- https://bugzilla.redhat.com/show_bug.cgi?id=630225
- https://bugzilla.redhat.com/show_bug.cgi?id=626966
- https://bugzilla.redhat.com/show_bug.cgi?id=623456

* Fri Sep  3 2010 Bill Nottingham <notting@redhat.com> - 9-3
- move fedora-specific units to initscripts; require newer version thereof

* Fri Sep  3 2010 Lennart Poettering <lpoetter@redhat.com> - 9-2
- Add missing tarball

* Fri Sep  3 2010 Lennart Poettering <lpoetter@redhat.com> - 9-1
- New upstream version
- Closes 501720, 614619, 621290, 626443, 626477, 627014, 627785, 628913

* Fri Aug 27 2010 Lennart Poettering <lpoetter@redhat.com> - 8-3
- Reexecute after installation, take ownership of /var/run/user
- https://bugzilla.redhat.com/show_bug.cgi?id=627457
- https://bugzilla.redhat.com/show_bug.cgi?id=627634

* Thu Aug 26 2010 Lennart Poettering <lpoetter@redhat.com> - 8-2
- Properly create default.target link

* Wed Aug 25 2010 Lennart Poettering <lpoetter@redhat.com> - 8-1
- New upstream release

* Thu Aug 12 2010 Lennart Poettering <lpoetter@redhat.com> - 7-3
- Fix https://bugzilla.redhat.com/show_bug.cgi?id=623561

* Thu Aug 12 2010 Lennart Poettering <lpoetter@redhat.com> - 7-2
- Fix https://bugzilla.redhat.com/show_bug.cgi?id=623430

* Tue Aug 10 2010 Lennart Poettering <lpoetter@redhat.com> - 7-1
- New upstream release

* Fri Aug  6 2010 Lennart Poettering <lpoetter@redhat.com> - 6-2
- properly hide output on package installation
- pull in coreutils during package installtion

* Fri Aug  6 2010 Lennart Poettering <lpoetter@redhat.com> - 6-1
- New upstream release
- Fixes #621200

* Wed Aug  4 2010 Lennart Poettering <lpoetter@redhat.com> - 5-2
- Add tarball

* Wed Aug  4 2010 Lennart Poettering <lpoetter@redhat.com> - 5-1
- Prepare release 5

* Tue Jul 27 2010 Bill Nottingham <notting@redhat.com> - 4-4
- Add 'sysvinit-userspace' provide to -sysvinit package to fix upgrade/install (#618537)

* Sat Jul 24 2010 Lennart Poettering <lpoetter@redhat.com> - 4-3
- Add libselinux to build dependencies

* Sat Jul 24 2010 Lennart Poettering <lpoetter@redhat.com> - 4-2
- Use the right tarball

* Sat Jul 24 2010 Lennart Poettering <lpoetter@redhat.com> - 4-1
- New upstream release, and make default

* Tue Jul 13 2010 Lennart Poettering <lpoetter@redhat.com> - 3-3
- Used wrong tarball

* Tue Jul 13 2010 Lennart Poettering <lpoetter@redhat.com> - 3-2
- Own /cgroup jointly with libcgroup, since we don't dpend on it anymore

* Tue Jul 13 2010 Lennart Poettering <lpoetter@redhat.com> - 3-1
- New upstream release

* Fri Jul 9 2010 Lennart Poettering <lpoetter@redhat.com> - 2-0
- New upstream release

* Wed Jul 7 2010 Lennart Poettering <lpoetter@redhat.com> - 1-0
- First upstream release

* Tue Jun 29 2010 Lennart Poettering <lpoetter@redhat.com> - 0-0.7.20100629git4176e5
- New snapshot
- Split off -units package where other packages can depend on without pulling in the whole of systemd

* Tue Jun 22 2010 Lennart Poettering <lpoetter@redhat.com> - 0-0.6.20100622gita3723b
- Add missing libtool dependency.

* Tue Jun 22 2010 Lennart Poettering <lpoetter@redhat.com> - 0-0.5.20100622gita3723b
- Update snapshot

* Mon Jun 14 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0-0.4.20100614git393024
- Pull the latest snapshot that fixes a segfault. Resolves rhbz#603231

* Thu Jun 11 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0-0.3.20100610git2f198e
- More minor fixes as per review

* Thu Jun 10 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0-0.2.20100610git2f198e
- Spec improvements from David Hollis

* Wed Jun 09 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0-0.1.20090609git2f198e
- Address review comments

* Tue Jun 01 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0-0.0.git2010-06-02
- Initial spec (adopted from Kay Sievers)
